Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.math3.stat.clustering
Enum KMeansPlusPlusClusterer.EmptyClusterStrategy

    java.lang.Object
      java.lang.Enum<KMeansPlusPlusClusterer.EmptyClusterStrategy>
          org.apache.commons.math3.stat.clustering.KMeansPlusPlusClusterer.EmptyClusterStrategy

All Implemented Interfaces:
  Serializable, Comparable<KMeansPlusPlusClusterer.EmptyClusterStrategy>

Enclosing class:
  KMeansPlusPlusClusterer<T extends Clusterable<T>>

    public static enum KMeansPlusPlusClusterer.EmptyClusterStrategy

extends Enum<KMeansPlusPlusClusterer.EmptyClusterStrategy>

Strategies to use for replacing an empty cluster.

Enum Constant Summary
`ERROR` Generate an error.
`FARTHEST_POINT` Create a cluster around the point farthest from its centroid.
`LARGEST_POINTS_NUMBER` Split the cluster with largest number of points.
`LARGEST_VARIANCE` Split the cluster with largest distance variance.

Method Summary
`static KMeansPlusPlusClusterer.EmptyClusterStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KMeansPlusPlusClusterer.EmptyClusterStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LARGEST_VARIANCE

    public static final KMeansPlusPlusClusterer.EmptyClusterStrategy LARGEST_VARIANCE

  Split the cluster with largest distance variance.

### LARGEST_POINTS_NUMBER

    public static final KMeansPlusPlusClusterer.EmptyClusterStrategy LARGEST_POINTS_NUMBER

  Split the cluster with largest number of points.

### FARTHEST_POINT

    public static final KMeansPlusPlusClusterer.EmptyClusterStrategy FARTHEST_POINT

  Create a cluster around the point farthest from its centroid.

### ERROR

    public static final KMeansPlusPlusClusterer.EmptyClusterStrategy ERROR

  Generate an error.

Method Detail

### values

    public static KMeansPlusPlusClusterer.EmptyClusterStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KMeansPlusPlusClusterer.EmptyClusterStrategy c : KMeansPlusPlusClusterer.EmptyClusterStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KMeansPlusPlusClusterer.EmptyClusterStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.